//  main: main.less, out: ../style.css

/* 
====================================================================================================================================
SHOWREEL
======================================================================================================================================
*/

.c-slideshow {
    position: relative;
    z-index: 0;

    &:after,
    &:before {
        position: absolute;
        content: '';
        display: block;
        width: 2px;
        height: 200px;
        left: @margin__l/2;
    }

    &:after {
        background-color: @color-primary;
        top: @header__h;
    }

    &:before {
        background-color: @color-secondary;
        bottom: @margin__l;
    }

    @media @media_smartphone {

        &:after,
        &:before {
            left: @margin__m/2;
            height: 100px;
        }
        &:after {
            top: @header__h_phone;
        }
        &:before {
            background-color: @color-secondary;
            bottom: @margin__m;
        }
    }
}

.c-slideshow__slide {
    height: 100vh;
    width: 100%;
}

.c-slideshow__image {
    position: absolute;
    width: 720px;
    height: 430px;
    bottom: 0;
    right: 0;
    z-index: 199;
    .u-shadow(@shadow);

    &:after {
        position: absolute;
        content: '';
        display: block;
        width: 200px;
        height: 2px;
        left: -@margin__xl;
        bottom: @margin__l/2;
        background-color: @color-tetiary;
        z-index: -1;
    }

    @media @media_tablet {
        width: 500px;
        height: 300px;
    }

    @media @media_smartphone {
        width: calc(100% ~'-'@margin__l);
        height: 180px;

        &:after {
            left: -@margin__m;
            bottom: @margin__m/2;
            width: 100px;
        }
    }

    @media @media_landascape {
        height: 300px;
        width: 500px;
    }

    @media @media_orientation_phone {
        display: none!important;
    }
}

.c-slideshow__bg {
    position: absolute;
    top: @header__h;
    left: @margin__l;
    right: 0;
    bottom: @margin__l;
    opacity: .3;
    overflow: hidden;
    z-index: 0;

    div {
        background-position: center;
        background-size: cover;
        background-repeat: no-repeat;
        height: 100%;
        width: 100%;
        filter: blur(8px);
        -webkit-filter: blur(8px);
        .u-transform(scale(1.05));
    }

    @media @media_smartphone {
        top: @header__h_phone; 
        left: @margin__m;
        bottom: @margin__m;
    }
}

.c-slideshow__content {
    position: absolute;
    color: @color-primary;
    top: 50%;
    left: @margin__l;
    width: calc(100% ~'-'840px);
    z-index: 1;
    .u-transform(translateY(-50%));

    .c-slideshow_logo {
        height: 50px;
        margin-bottom: @margin__s/2;
    }

    h2 {
        font-family: @font_titles;
        font-size: @size__xxxl;
        margin: 0;
        margin-left: -@margin__l/2;
        line-height: 1.4em;
    }

    h4 {
        margin-bottom: @margin__s;
        margin-left: @margin__m;
        color: @color-secondary;
        font-size: @size__l;
    }

    .o-button {
        margin-left: @margin__m;
    }

    @media @media_tablet {
        top: @header__h + @margin__l;
        width: calc(100% ~'-'@margin__l*2);
        padding-left: @margin__m;
        padding-right: @margin__s;
        .u-transform(translateY(0));

        h2 {
            font-size: @size__xxl;
            margin-left: 0;
        }

        h4 {
            margin-left: 0;
            margin-bottom: @margin__s/2;
        }

        .o-button {
            margin-left: 0;
        }
    }

    @media @media_smartphone {
        top: 25vh;
        width: calc(100% ~'-'@margin__m);
        padding-left: @margin__s;
        padding-right: @margin__s;
        left: @margin__m;
        .u-transform(translateY(0));

        h2 {
            font-size: @size__m;
            margin-left: 0;
        }

        h4 {
            font-size: @size__xs;
            margin-left: 0;
            margin-bottom: 0;
        }

        .o-button {
            margin-left: 0;
        }
    }

    @media @media_landascape {
        top: 40%;
        width: calc(100% ~'-' @margin__m*2);
        h2 {
            font-size: @size__xl;
            margin-left: @margin__m;
        }
        h4 {
            font-size: @size__m;
            margin-bottom: @margin__s/2;
        }
    }

}

.c-slideshow__pager {
    position: absolute;
    bottom: @margin__xl + @margin__s;
    left: @margin__l + @margin__m;
    z-index: 121;

    a {
        display: inline-block;
        margin: 0 5px;
        background-color: @color-primary;
        height: 10px;
        width: 10px;
        .u-border-radius(100%);
        .transition-elastic;

        &.isActive {
            background-color: @color-secondary;
        }
    }

    @media @media_orientation_phone {
        bottom: @margin__s!important;
        left: @margin__m!important;
    }
    @media @media_smartphone {
        bottom: 200px;
        left: @margin__l;
    }
    @media @media_tablet {
        bottom: 320px;
        left: initial;
        right: 500px;
        .u-transform(translateX(100%));
    }
}